Bug 177540 - Iostat should show the registered device names for device mapper devices
Iostat should show the registered device names for device mapper devices
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysstat (Show other bugs)
5.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Brian Brock
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 12:54 EST by Josef Bacik
Modified: 2008-09-12 10:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0293
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds the -n option for grabbing dm names (5.93 KB, patch)
2006-01-11 12:55 EST, Josef Bacik
no flags Details | Diff

  None (edit)
Description Josef Bacik 2006-01-11 12:54:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
Device Mapper statistics can now be gathered with RHEL4 U3, however iostat displays the devices as dm-#, instead of as their registered device name.  This patch gives you the option to query any device-mapper devices for their registered device name to make the output easier to read.

Version-Release number of selected component (if applicable):
sysstat-5.0.5-1

How reproducible:
Always

Steps to Reproduce:
1.Have the U3 kernel installed with LVM2 locally
2.run iostat
3.
  

Actual Results:  it shows something like this

[root@acer ~]# iostat
Linux 2.6.9-22.25.ELsmp (acer.gsslab.rdu.redhat.com)    01/11/2006

avg-cpu:  %user   %nice    %sys %iowait   %idle
           0.08    0.00    0.08    0.25   99.58

Device:            tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
sda               0.02         0.83         0.00       2354          4
sdb               1.75        26.68        18.32      75651      51944
dm-0              3.22        26.09        18.32      73962      51944
dm-1              0.01         0.12         0.00        336          0


Expected Results:  Would like to show something like this

[root@acer ~]# iostat -n
Linux 2.6.9-22.25.ELsmp (acer.gsslab.rdu.redhat.com)    01/11/2006

avg-cpu:  %user   %nice    %sys %iowait   %idle
           0.08    0.00    0.08    0.25   99.59

Device:            tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
sda               0.02         0.82         0.00       2354          4
sdb               1.73        26.44        18.18      75651      52032
VolGroup00-LogVol00
                  3.20        25.85        18.18      73962      52032
VolGroup00-LogVol01
                  0.01         0.12         0.00        336          0


Additional info:
Comment 1 Josef Bacik 2006-01-11 12:55:32 EST
Created attachment 123061 [details]
adds the -n option for grabbing dm names
Comment 2 Daniel Riek 2006-02-23 10:25:00 EST
:FTDTL:
This enhancement request aims at making the iostat output for device mapper
devices easier to read by displaying the user assigned name of the logical
device instead of the internal device mapper numbering.
Comment 8 errata-xmlrpc 2008-05-21 12:03:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0293.html

Note You need to log in before you can comment on or make changes to this bug.